#
# spec file for package hyprwayland-scanner
#
# Copyright (c) 2024 SUSE LLC
# Copyright (c) 2024 Florian "sp1rit" <sp1rit@disroot.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           hyprwayland-scanner
Version:        0.4.2
Release:        1.5
Summary:        Hyprland implementation of wayland-scanner
License:        BSD-3-Clause
URL:            https://github.com/hyprwm/hyprwayland-scanner
Source0:        %{name}-%{version}.tar.xz
Source99:       %{name}.rpmlintrc
BuildRequires:  cmake
BuildRequires:  gcc-c++ >= 11
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(pugixml)

%description
A Hyprland implementation of wayland-scanner, in and for C++.

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_libdir}/cmake/%{name}
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Sat Sep 21 2024 Soc Virnyl Estela <obs@uncomfyhalomacro.pl>
- Update to version 0.4.2
  * core: fixup client new_id handling
  * core: fix overzealous wl_proxy* replacement of uint32s
* Mon Jul 22 2024 Joshua Smith <smolsheep@opensuse.org>
- Update to 0.4.0:
  * Added client code generation with --client
  * core: Add client code generation
  * draft: avoid undefined behaviour in C macro
* Fri Jun 14 2024 Dawid Adam <nyslay@gmail.com>
- Update to 0.3.10:
  * core: set resource to nullptr in onDestroyCalled
  * source: ignore send... requests when resource is null
* Thu Jun  6 2024 Joshua Smith <smolsheep@opensuse.org>
- Change parts of _service to run at buildtime instead to properly
  utilize the obscpio
- Remove empty %%check section
- Update to version 0.3.9:
  * core: forward declare all used ifaces
  * core: fix external type checks
  * core: avoid uaf in resource data
  * source: set user data after checks
- Updates from version 0.3.8:
  * core: added support for nullable string types
  * core: avoid calling inert parents
  * cmake: add hpp header as target dependency
- Updates from version 0.3.7:
  * Added --wayland-enums for core wayland.xml to be compat with
    the headers
  * Added raw events for when we don't have a wrapped resource
- Updates from version 0.3.6:
  * Fix usage of C++ reserved keywords
- Updates from version 0.3.5:
  * Fixed protocol types in events sometimes unrecognized
* Sat May  4 2024 Florian "sp1rit" <sp1rit@disroot.org>
- Initial packaging of hyprwayland-scanner version 0.3.4
